net.sf.okapi.common

## Class ParametersDescription

- java.lang.Object
- - net.sf.okapi.common.ParametersDescription

-     public class ParametersDescription
      extends java.lang.Object

  Groups in a single objects all the parameter descriptors associated with a given object such as a step or a filter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametersDescription(java.lang.Object originalObject)` Creates a new ParametersDescription object for a given parent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterDescriptor` | `add(java.lang.String name, java.lang.String displayName, java.lang.String shortDescription)` Adds a descriptor to this description.
    `ParameterDescriptor` | `get(java.lang.String name)` Gets the descriptor for a given parameter.
    `java.util.Map<java.lang.String,ParameterDescriptor>` | `getDescriptors()` Gets a map of all the parameter descriptors for this description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParametersDescription

          public ParametersDescription(java.lang.Object originalObject)

      Creates a new ParametersDescription object for a given parent object.
      Parameters:
        `originalObject` - the object described.

  - ### Method Detail

    - #### getDescriptors

          public java.util.Map<java.lang.String,ParameterDescriptor> getDescriptors()

      Gets a map of all the parameter descriptors for this description.
      Returns:
        a map of all parameter descriptors.

    - #### get

          public ParameterDescriptor get(java.lang.String name)

      Gets the descriptor for a given parameter.
      Parameters:
        `name` - the name of the parameter to lookup.
      Returns:
        the descriptor for the given parameter.

    - #### add

          public ParameterDescriptor add(java.lang.String name,
                                         java.lang.String displayName,
                                         java.lang.String shortDescription)

      Adds a descriptor to this description.
      Parameters:
        `name` - the name of the parameter.
        `displayName` - the localizable display name for this parameter.
        `shortDescription` - a short localizable description for this parameter.
      Returns:
        the parameter descriptor created by the call.